Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063743 - Installer should check that location for settings.xml is writeable
Summary: Installer should check that location for settings.xml is writeable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER3
: EAP 6.3.0
Assignee: Miles Tjandrawidjaja
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 11:20 UTC by Petr Kremensky
Modified: 2014-06-28 15:30 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:30:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Kremensky 2014-02-11 11:20:18 UTC
Description of problem:
 Installer offers user to create example settings.xml if none exists, but it should also validate that location specified by user is writeable.

Version-Release number of selected component (if applicable):
 EAP 6.2.0

How reproducible:
 Always (both console and gui)

Steps to Reproduce:
 1. Start the EAP installer
 2. Choose to install quickstarts
 3. Select 'Specify the path to an existing maven repository and settings.xml
 4. Enter the following as settings.xml location unix=/etc/dummy | windows=x:/test
 5. Choose to create example settings.xml at that location and finish the installation.


Actual results:
 No validation error is thrown. User can continue with installation, however installation will fail later with FileNotFoundException as installer is unable to create the file at desired location.

Expected results:
 Validation error is thrown, user must re-enter the settings.xml location to be able to continue.

Comment 1 Miles Tjandrawidjaja 2014-02-11 16:32:10 UTC
Installer should now check if we can create a new settings.xml if the file is not present. Installer should now also be checking that we can modify an existing settings.xml file if it is present.

http://git.app.eng.bos.redhat.com/izpack.git/commit/?h=izpack-wip&id=181827484c52cafbbbd0fb4e973fc7dde8706be9

Comment 2 Petr Kremensky 2014-04-30 13:27:15 UTC
Trying this on Windows with EAP 6.3.0.ER2 installer:
On Maven Repository Setup choose X:\test as path to the Maven settings.xml file and press Next -> Installer (gui) will stuck with an Exception:

Exception in thread "Thread-11" java.lang.NullPointerException
        at com.redhat.installer.panels.MavenRepoCheckPanel$RepoCheckPanel.validated(MavenRepoCheckPanel.java:344)
        at com.redhat.installer.panels.MavenRepoCheckPanel.isValidated(MavenRepoCheckPanel.java:73)
        at com.izforge.izpack.installer.IzPanel.panelValidated(IzPanel.java:440)
        at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1665)
        at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1650)
        at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.navigate(InstallerFrame.java:1815)
        at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.access$100(InstallerFrame.java:1782)
        at com.izforge.izpack.installer.InstallerFrame$NavigationHandler$1.run(InstallerFrame.java:1799)
        at java.lang.Thread.run(Thread.java:744)

Comment 3 Petr Kremensky 2014-04-30 14:17:40 UTC
Doing same on my fedora (set 'X:\Test' as settings.xml) I get different stack trace

Exception in thread "Thread-9" java.lang.NullPointerException
	at java.io.File.<init>(File.java:277)
	at com.redhat.installer.panels.MavenRepoCheckPanel$RepoCheckPanel.validated(MavenRepoCheckPanel.java:342)
	at com.redhat.installer.panels.MavenRepoCheckPanel.isValidated(MavenRepoCheckPanel.java:73)
	at com.izforge.izpack.installer.IzPanel.panelValidated(IzPanel.java:440)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1665)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1650)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.navigate(InstallerFrame.java:1815)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.access$100(InstallerFrame.java:1782)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler$1.run(InstallerFrame.java:1799)
	at java.lang.Thread.run(Thread.java:744)

but result is same - installer stuck

Comment 4 Petr Kremensky 2014-04-30 14:18:30 UTC
Looking again, their are quite similar :)

Comment 5 Miles Tjandrawidjaja 2014-04-30 19:07:59 UTC
Changes have been made to ensure a valid directory path.
You shouldn't receive the NPE from this case anymore.

Comment 6 Petr Kremensky 2014-05-09 08:52:41 UTC
Rest of issue is covered here BZ1092982.

Verified on EAP 6.3.0.ER3.


Note You need to log in before you can comment on or make changes to this bug.